=== debian/control ===
Source: binutils2.22
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: James Troup <james@nocrew.org>, Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.9.2
Build-Depends: dpkg-dev (>= 1.13.9), autoconf, bison, flex, gettext, texinfo, dejagnu (>= 1.4.2-1.1), quilt, file, xz-utils, lsb-release, zlib1g-dev
Vcs-Browser: https://code.launchpad.net/~doko/binutils/pkg-2.21-debian
Vcs-Bzr: http://bazaar.launchpad.net/~doko/binutils/pkg-2.21-debian

Package: binutils2.22
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: gas, elf-binutils, modutils (<< 2.4.19-1), ${extraConflicts}, binutils2.22-gold	(<< 2.20.51.20100415)
Replaces: binutils2.22-gold (<< 2.20.51.20100415)
Provides: elf-binutils
Suggests: binutils2.22-doc (>= ${source:Version})
Description: GNU assembler, linker and binary utilities
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.

Package: binutils2.22-dev
Architecture: any
Priority: extra
Depends: binutils2.22 (= ${binary:Version})
Conflicts: libbfd-dev
Provides: libbfd-dev
Replaces: libbfd-dev, libc5-dev
Description: GNU binary utilities (BFD development files)
 This package includes header files and static libraries necessary to build
 programs which use the GNU BFD library, which is part of binutils2.22.  Note
 that building Debian packages which depend on the shared libbfd is Not
 Allowed.

Package: binutils2.22-multiarch
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, binutils2.22 (= ${binary:Version})
Provides: multiarch-binutils
Description: Binary utilities that support multi-arch targets
 The programs in this package are used to manipulate binary and object
 files that may have been created on other architectures.  This package
 is primarily for multi-architecture developers and cross-compilers and
 is not needed by normal users or developers.  Note that a cross-assembling
 version of gas is not included in this package, just the binary utilities.
 NORMAL USERS SHOULD NOT INSTALL THIS PACKAGE.  It's meant only for those
 requiring support for reading info from binaries from other architectures.

Package: binutils2.22-gold
Architecture: amd64 armel armhf i386 powerpc powerpcspe ppc64 sparc sparc64
Priority: extra
Depends: ${shlibs:Depends}, binutils2.22 (= ${binary:Version})
Description: GNU gold linker utility
 Gold is a new linker, which is faster than the current linker included
 in binutils2.22.
 .
 This package diverts the GNU linker (ld) with the gold linker.

Package: binutils2.22-hppa64
Architecture: any
Depends: ${shlibs:Depends}, binutils2.22 (= ${binary:Version})
Recommends: libc6-dev
Suggests: binutils2.22-doc (>= ${source:Version})
Description: GNU assembler, linker and binary utilities targeted for hppa64-linux
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.
 .
 This package is needed to build an 64-bit kernel for 64-bit hppa machines.

Package: binutils2.22-spu
Architecture: powerpc ppc64
Depends: ${shlibs:Depends}, binutils2.22 (= ${binary:Version})
Recommends: libc6-dev
Conflicts: spu-binutils
Replaces: spu-binutils
Provides: spu-binutils
Suggests: binutils2.22-doc (>= ${source:Version})
Description: GNU assembler, linker and binary utilities targeted for spu-elf
 The programs in this package are used to assemble, link and manipulate
 binary and object files.  They may be used in conjunction with a compiler
 and various libraries to build programs.
 .
 This package is needed to build programs for Cell Broadband Engine SPU
 processors.

Package: binutils2.22-doc
Section: doc
Architecture: all
Priority: optional
Depends: dpkg (>= 1.15.4) | install-info
Conflicts: binutils2.22 (<< 2.9.1.0.25-3)
Suggests: binutils2.22 (= ${binary:Version})
Description: Documentation for the GNU assembler, linker and binary utilities
 This package consists of the documentation for the GNU assembler,
 linker and binary utilities in info format.

Package: binutils2.22-source
Architecture: all
Priority: optional
Depends: texinfo, zlib1g-dev, make, python
Description: GNU assembler, linker and binary utilities (source)
 This package contains the sources and patches which are needed to
 build binutils2.22.
