=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for binutils (2.20)
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2007 James Troup.
# Portions Copyright 2008-2009 Canonical Ltd.
# Portions Copyright 2008-2009 Matthias Klose.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

################################################################################

p_bin = binutils2.22
p_dev = $(p_bin)-dev
p_mul = $(p_bin)-multiarch
p_gold = $(p_bin)-gold
p_doc = $(p_bin)-doc
p_hppa64 = $(p_bin)-hppa64
p_spu = $(p_bin)-spu
p_src = $(p_bin)-source

# BACKPORT is used for cross builds for a -source package not conflicting
# with the source package of the native package.
ifeq ($(BACKPORT),true)
  p_src = $(p_bin)-$(VERSION)-source
else
  p_src = $(p_bin)-source
endif

pwd   := $(shell pwd)
d     = debian/tmp
d_bin = $(d)
d_dev = debian/$(p_dev)
d_mul = debian/$(p_mul)
d_gold = debian/$(p_gold)
d_doc = debian/$(p_doc)
d_hppa64 = debian/$(p_hppa64)
d_spu = debian/$(p_spu)
d_src = debian/$(p_src)

install_dir    = install -d -m 755
install_file   = install -m 644
install_script = install -m 755
install_binary = install -m 755 -s

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
DPKG_VARS := $(shell dpkg-architecture)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

ifeq (,$(DEB_HOST_MULTIARCH))
  ifeq ($(DEB_HOST_ARCH),i386)
    DEB_HOST_MULTIARCH = i386-linux-gnu
  else
    DEB_HOST_MULTIARCH = $(DEB_HOST_GNU_TYPE)
  endif
endif

SHELL  = /bin/bash

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 armel armhf i386 powerpc powerpcspe ppc64 sparc sparc64))
  with_gold = no
endif

with_multiarch := yes

CC     = gcc
CXX    = g++
CFLAGS = -g -O2
STRIP  = strip --remove-section=.comment --remove-section=.note
CROSS :=
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  CROSS := $(DEB_HOST_GNU_TYPE)-
  CC   = $(CROSS)gcc
  CXX  = $(CROSS)g++
  STRIP= $(CROSS)strip --remove-section=.comment --remove-section=.note
  install_binary = install -m 755 -s --strip-program="$(STRIP)"
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS = -g -O0
endif

# this outputs 0 or 1 depending on whether a macro appears in the *default* cpp
# -dM -P output; this is used to test the toolchain *default* configuration
check_cpp = $(shell $(CROSS)cpp -dM -P /dev/null | grep -q '^\#define $(1)' && echo 1 || echo 0)

# testsuite doesn't expect to be built with -mthumb
# TODO if the testsuite is only broken with Thumb-2 (and not with "Thumb-1"),
# we should test for __thumb2__ instead
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
  ifeq ($(call check_cpp,__thumb__),1)
    CFLAGS += -marm
  endif
endif

# see LP: #446478, would only fix the testcases
#ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
#  CFLAGS += -fno-section-anchors
#endif

SPACE = $(EMPTY) $(EMPTY)
COMMA = ,
CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
        sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')

DEB_VERSION	:= $(call vafilt,$(CHANGELOG_VARS),Version)
DEB_SVERSION	:= $(shell echo $(DEB_VERSION) | sed 's/+b[0-9][0-9]*$$//')
DEB_UPSTREAM	:= $(firstword $(subst -,$(SPACE),$(DEB_VERSION)))

VERSION		:= $(shell sed -n 's/^ *VERSION=\(.*\)/\1/p' bfd/configure | head -1)
#DATE		:= $(shell sed -n 's/.* \([0-9]*\)$$/\1/p' bfd/version.h)
ifneq (,$(DATE))
  DATE_EXT	:= .$(DATE)
endif

ifneq ($(DEB_UPSTREAM),$(VERSION)$(DATE_EXT))
  $(error upstream ($(DEB_UPSTREAM)) and debian ($(VERSION)$(DATE_EXT)) version mismatch)
endif

SINGLE_VERSION= $(VERSION)-system
MULTI_VERSION = $(VERSION)-multiarch
HPPA64_VERSION= $(VERSION)-hppa64
SPU_VERSION   = $(VERSION)-spu

DISTRIBUTION := $(shell lsb_release -is)
NJOBS =
# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif
ifneq (,$(findstring nogold,$(DEB_BUILD_OPTIONS)))
  with_gold = disabled in DEB_BUILD_OPTIONS
endif
ifneq (,$(findstring nomult,$(DEB_BUILD_OPTIONS)))
  with_multiarch = disabled in DEB_BUILD_OPTIONS
endif

# If $(TARGET) is not set, try reading debian/target
ifeq (,$(TARGET))
  ifneq (,$(wildcard debian/target))
    TARGET := $(shell cat debian/target 2>/dev/null)
  endif
endif

# PF is the installation prefix for the package without the leading slash.
# It's "usr" for gcc releases, so use this if not explicitly set
ifeq ($(PF),)
  PF = usr
endif

########################################

CONFARGS = \
	--enable-shared \
	--enable-plugins \
	--prefix=/$(PF) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--host=$(DEB_HOST_GNU_TYPE) \
	--with-pkgversion="GNU Binutils for $(DISTRIBUTION)"

ifeq ($(DEB_HOST_MULTIARCH),x86_64-linux-gnu)
  DEB_HOST_MULTIARCH32 = i386-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),powerpc64-linux-gnu)
  DEB_HOST_MULTIARCH32 = powerpc-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),s390x-linux-gnu)
  DEB_HOST_MULTIARCH32 = s390-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),sparc64-linux-gnu)
  DEB_HOST_MULTIARCH32 = sparc-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),x86_64-kfreebsd-gnu)
  DEB_HOST_MULTIARCH32 = i386-kfreebsd-gnu
else ifeq ($(DEB_HOST_MULTIARCH),i386-linux-gnu)
  DEB_HOST_MULTIARCH64 = x86_64-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),powerpc-linux-gnu)
  DEB_HOST_MULTIARCH64 = powerpc64-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),sparc-linux-gnu)
  DEB_HOST_MULTIARCH64 = sparc64-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),s390-linux-gnu)
  DEB_HOST_MULTIARCH64 = s390x-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),i386-kfreebsd-gnu)
  DEB_HOST_MULTIARCH64 = x86_64-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),mips-linux-gnu)
  DEB_HOST_MULTIARCH64 = mips64-linux-gnu
else ifeq ($(DEB_HOST_MULTIARCH),mipsel-linux-gnu)
  DEB_HOST_MULTIARCH64 = mips64el-linux-gnu
endif
export DEB_HOST_MULTIARCH DEB_HOST_MULTIARCH32 DEB_HOST_MULTIARCH64

ifeq ($(DEB_HOST_ARCH),sparc)
	CONFARGS += --enable-targets=sparc64-linux-gnu
	CONFLICTS = -VextraConflicts="libc6-dev-sparc64 (<< 2.2.5-7)"
endif
ifeq ($(DEB_HOST_ARCH),sparc64)
	CONFARGS += --enable-targets=sparc-linux-gnu
	CONFLICTS = -VextraConflicts="libc6-dev-sparc64 (<< 2.2.5-7)"
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
	CONFARGS += --enable-targets=powerpc64-linux-gnu,spu
endif
ifeq ($(DEB_HOST_ARCH),ppc64)
	CONFARGS += --enable-targets=powerpc-linux-gnu,spu
endif
ifeq ($(DEB_HOST_ARCH),s390)
	CONFARGS += --enable-targets=s390x-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),s390x)
	CONFARGS += --enable-targets=s390-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),i386)
	CONFARGS += --enable-targets=x86_64-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
	CONFARGS += --enable-targets=x86_64-kfreebsd-gnu
endif
ifeq ($(DEB_HOST_ARCH),mips)
       CONFARGS += --enable-targets=mips64-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),mipsel)
       CONFARGS += --enable-targets=mips64el-linux-gnu
endif
ifneq (,$(filter $(DEB_HOST_ARCH),armhf i386 ia64 sparc sparc64))
	CONFARGS += --disable-werror
endif

with_check := yes
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	with_check := disabled through DEB_BUILD_OPTIONS
endif
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mips mipsel sparc))
	ignore_regressions := regressions ignored on architecture $(DEB_HOST_ARCH)
endif
ignore_regressions := regressions ignored on architecture $(DEB_HOST_ARCH)
#ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
#	with_check := disabled for architecture $(DEB_HOST_ARCH)
#endif

with_strip := yes
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
