## binutils2.22 2.22-5-maemo1

=== debian/changelog ===
binutils2.22 (2.22-5-maemo1) unstable; urgency=low

  * Update from the binutils-2_22-branch 20120124.
    - Fix PR ld/13581 (x32).
  * Fix PR gas/13449 (ARM), taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2012 21:26:43 +0100
