## binutils2.22 2.22-6-maemo1

=== debian/changelog ===
binutils2.22 (2.22-6-maemo1) unstable; urgency=low

  * Package name changes.
  * Installs to /usr/bin/binutils2.22/

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 21 May 2012 08:54:20 +0300

binutils (2.22-6) unstable; urgency=low

  * Update from the binutils-2_22-branch 20120307.
    - Fix PR ld/12161 (avr), PR binutils/13622 (readelf crash),
      PR binutils/13476 (hppa), PR ld/13387 (hppa), 
  * Fix typo in elf64-x86-64.c, follow-up patch to PR ld/13302.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Mar 2012 18:52:20 +0100

binutils (2.22-5) unstable; urgency=low

  * Update from the binutils-2_22-branch 20120124.
    - Fix PR ld/13581 (x32).
  * Fix PR gas/13449 (ARM), taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2012 21:26:43 +0100
