=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: binutils2.22
 Section: devel
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: James Troup <james@nocrew.org>, Daniel Jacobowitz <dan@debian.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com<>
 Standards-Version: 3.9.2
 Build-Depends: dpkg-dev (>= 1.13.9), autoconf, bison, flex, gettext, texinfo, dejagnu (>= 1.4.2-1.1), quilt, file, xz-utils, lsb-release, zlib1g-dev
 Vcs-Browser: https://code.launchpad.net/~doko/binutils/pkg-2.21-debian
@@ -11,9 +10,9 @@
 Package: binutils2.22
 Architecture: any
 Depends: libc6, libgcc1, zlib1g
-Conflicts: gas, elf-binutils, modutils (<< 2.4.19-1), ${extraConflicts}, binutils2.22-gold	(<< 2.20.51.20100415)
-Replaces: binutils2.22-gold (<< 2.20.51.20100415)
-Provides: elf-binutils
+Conflicts: binutils, gas, elf-binutils, modutils (<< 2.4.19-1), ${extraConflicts}, binutils2.22-gold	(<< 2.20.51.20100415)
+Replaces: binutils, binutils2.22-gold (<< 2.20.51.20100415)
+Provides: binutils (>= 2.22), elf-binutils
 Suggests: binutils2.22-doc (>= ${source:Version})
 Description: GNU assembler, linker and binary utilities
  The programs in this package are used to assemble, link and manipulate
@@ -24,9 +23,9 @@
 Architecture: any
 Priority: extra
 Depends: binutils2.22 (= ${binary:Version})
-Conflicts: libbfd-dev
-Provides: libbfd-dev
-Replaces: libbfd-dev, libc5-dev
+Conflicts: libbfd-dev, binutils-dev
+Provides: libbfd-dev, binutils-dev
+Replaces: libbfd-dev, binutils-dev, libc5-dev
 Description: GNU binary utilities (BFD development files)
  This package includes header files and static libraries necessary to build
  programs which use the GNU BFD library, which is part of binutils2.22.  Note
