## binutils2.22 2.22-6-maemo2

=== debian/changelog ===
binutils2.22 (2.22-6-maemo2) unstable; urgency=low

  * Installs to /usr/binutils2.22/ 

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 21 May 2012 12:31:20 +0300
