=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: binutils2.22
 Section: devel
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com<>
+Maintainer: Matthias Klose <doko@debian.org>
+Uploaders: James Troup <james@nocrew.org>, Daniel Jacobowitz <dan@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: dpkg-dev (>= 1.13.9), autoconf, bison, flex, gettext, texinfo, dejagnu (>= 1.4.2-1.1), quilt, file, xz-utils, lsb-release, zlib1g-dev
 Vcs-Browser: https://code.launchpad.net/~doko/binutils/pkg-2.21-debian
