## binutils2.22 2.22-6-maemo3

=== debian/changelog ===
binutils2.22 (2.22-6-maemo3) unstable; urgency=low

  * Doesn't conflicts with 'binutils'

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 22 May 2012 14:23:20 +0300
