## binutils2.22 2.22-6-maemo4

=== debian/changelog ===
binutils2.22 (2.22-6-maemo4) unstable; urgency=low

  * Doesn't conflicts with 'binutils' .fix2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 22 May 2012 18:00:20 +0300
