## binutils2.22 2.22-6-maemo5

=== debian/changelog ===
binutils2.22 (2.22-6-maemo5) unstable; urgency=low

  * Doesn't conflicts either with 'elf-binutils'

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 22 May 2012 19:03:20 +0300
