=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: binutils2.22
 Architecture: any
 Depends: libc6, libgcc1, zlib1g
-Conflicts: gas, elf-binutils, modutils (<< 2.4.19-1), ${extraConflicts}, binutils2.22-gold	(<< 2.20.51.20100415)
+Conflicts: gas, modutils (<< 2.4.19-1), ${extraConflicts}, binutils2.22-gold	(<< 2.20.51.20100415)
 Replaces: binutils2.22-gold (<< 2.20.51.20100415)
 Provides: binutils (>= 2.22), elf-binutils
 Suggests: binutils2.22-doc (>= ${source:Version})
