## binutils2.22 2.22-6-maemo6

=== debian/changelog ===
binutils2.22 (2.22-6-maemo6) unstable; urgency=low

  * Doesn't provides 'elf-binutils'

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 22 May 2012 20:15:20 +0300
