=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Depends: libc6, libgcc1, zlib1g
 Conflicts: gas, modutils (<< 2.4.19-1), ${extraConflicts}, binutils2.22-gold	(<< 2.20.51.20100415)
 Replaces: binutils2.22-gold (<< 2.20.51.20100415)
-Provides: binutils (>= 2.22), elf-binutils
 Suggests: binutils2.22-doc (>= ${source:Version})
 Description: GNU assembler, linker and binary utilities
  The programs in this package are used to assemble, link and manipulate
