=== debian/rules ===
--- 
+++ 
@@ -154,6 +154,7 @@
   PF = usr
 endif
 
+PF=usr/binutils2.22
 ########################################
 
 CONFARGS = \
